/**
 * [transition 动画效果]
 * @param  @t_pto:     all           [属性]
 * @param  @runTime:   0.5s          [运行时间]
 * @param  @deleyTime: 0s            [延迟时间]
 * @param  @runFun:    ease;         [运行方式]
 */
/**
 * a标签hover样式
 * @font_color: 字体颜色
 * @ahover_darken: 字体hover颜色加深百分比
 */
/*
 * 通用按钮hover
 * @bg_color: 按钮颜色
 * @hover_darken: 按钮hover颜色加深百分比
 */
/*
 * 通用按钮样式
 * @bg_color: 按钮颜色 默认#6fd1de（浅蓝色）
 * @padding_tb: 按钮padding-top padding-bottom
 * @padding_lr: 按钮padding-left padding-right
 * @hover_darken: 按钮hover颜色加深百分比
 */
/**
 * [order_btn 订单按钮（默认灰色）]
 * @return {[type]} [description]
 */
.picker-focus {
  border: 1px solid #2954a2;
  box-shadow: 0px 0px 8px #2954a2;
  -webkit-box-shadow: 0px 0px 8px #2954a2;
  -o-box-shadow: 0px 0px 8px #2954a2;
  -moz-box-shadow: 0px 0px 8px #2954a2;
}
.dateTimePickerPanel {
  position: relative;
  border: 1px solid #e3e5e7;
  min-height: 220px;
  overflow: hidden;
}
.dateTimePickerPanel .picker_header {
  position: relative;
  width: 100%;
  padding-top: 15px;
}
.dateTimePickerPanel .prev_month {
  display: block;
  width: 16px;
  height: 16px;
  left: 10px;
  top: 15px;
  z-index: 5;
  position: absolute;
}
.dateTimePickerPanel .prev_month i {
  position: absolute;
  width: 0px;
  height: 0px;
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  border-left: 0px solid transparent;
  border-right: 6px solid #666666;
}
.dateTimePickerPanel .prev_month:hover i {
  border-right-color: #223c61;
}
.dateTimePickerPanel .next_month {
  display: block;
  width: 16px;
  height: 16px;
  right: 10px;
  top: 15px;
  z-index: 5;
  position: absolute;
}
.dateTimePickerPanel .next_month i {
  position: absolute;
  width: 0px;
  height: 0px;
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  border-left: 6px solid #666666;
  border-right: 0px solid transparent;
}
.dateTimePickerPanel .next_month:hover i {
  border-left-color: #223c61;
}
.dateTimePickerPanel .choosed_time {
  position: relative;
  line-height: 16px;
  height: 16px;
  font-size: 14px;
  width: 90px;
  margin-left: auto;
  margin-right: auto;
}
.dateTimePickerPanel .choosed_time .select_container {
  position: relative;
  width: 50px;
  height: 100%;
  text-align: center;
  font-weight: bold;
}
.dateTimePickerPanel .choosed_time .select_container .text {
  cursor: pointer;
}
.dateTimePickerPanel .choosed_time .select_container.month {
  width: 30px;
}
.dateTimePickerPanel .choosed_time .select_container:hover .text {
  color: #2954a2;
}
.dateTimePickerPanel .choosed_time .select_time_box {
  position: relative;
  text-align: right;
  height: 100%;
  cursor: pointer;
  background-color: #ffffff;
}
.dateTimePickerPanel .choosed_time .select_time_box .select {
  position: absolute;
  display: block;
  text-align: center;
  top: 0;
  left: 0;
  -webkit-opacity: 0;
  -moz-opacity: 0;
  -khtml-opacity: 0;
  opacity: 0;
  filter: alpha(opacity=0);
  width: 100%;
  min-width: 50px;
  bottom: 0px;
  z-index: 99;
}
.dateTimePickerPanel .time_menu {
  width: 100%;
  border-left: 1px solid #e3e5e7;
}
.dateTimePickerPanel .time_menu li {
  line-height: 23px;
  height: 23px;
  padding: 0 15px;
  border-top: 1px solid #e3e5e7;
  border-right: 1px solid #e3e5e7;
  float: left;
  cursor: pointer;
  font-size: 13px;
}
.dateTimePickerPanel .time_menu li.active {
  color: #ffffff;
  background-color: #2954a2;
}
.dateTimePickerPanel .time_content {
  overflow-y: hidden;
  padding-left: 10px;
  padding-right: 10px;
}
.dateTimePickerPanel .time_content dl {
  font-size: 13px;
}
.dateTimePickerPanel .time_content dl .content_list {
  position: relative;
  width: 100%;
}
.dateTimePickerPanel .time_content dl .content_list li {
  float: left;
  width: 16.66666667%;
  line-height: 23px;
  height: 23px;
  text-align: center;
  margin-top: 20px;
  cursor: pointer;
  -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
          border-radius: 4px;
}
.dateTimePickerPanel .time_content dl .content_list li:hover {
  color: #2954a2;
}
.dateTimePickerPanel .time_content dl .content_list li.active {
  background-color: #2954a2;
  color: #ffffff;
}
.dateTimePickerPanel .time_content .days {
  width: 100%;
}
.dateTimePickerPanel .time_content .days .week_list {
  width: 100%;
  margin-top: 10px;
}
.dateTimePickerPanel .time_content .days .week_list li {
  float: left;
  width: 14.28571429%;
  height: 23px;
  text-align: center;
  line-height: 23px;
}
.dateTimePickerPanel .time_content .days .days_list {
  width: 100%;
}
.dateTimePickerPanel .time_content .days .days_list li {
  float: left;
  width: 14.28571429%;
  height: 23px;
  text-align: center;
  line-height: 23px;
  cursor: pointer;
  background-color: #f8f8f8;
  color: #999999;
  transition-property: all;
  transition-duration: 0.5s;
  transition-delay: 0s;
  transition-timing-function: ease;
  -webkit-transition-property: all;
  -webkit-transition-duration: 0.5s;
  -webkit-transition-delay: 0s;
  -webkit-transition-timing-function: ease;
  -o-transition-property: all;
  -o-transition-duration: 0.5s;
  -o-transition-delay: 0s;
  -o-transition-timing-function: ease;
  -moz-transition-property: all;
  -moz-transition-duration: 0.5s;
  -moz-transition-delay: 0s;
  -moz-transition-timing-function: ease;
}
.dateTimePickerPanel .time_content .days .days_list li:hover {
  color: #2954a2;
  background-color: #eeeeee;
  color: #666;
}
.dateTimePickerPanel .time_content .days .days_list li.active {
  background-color: #2954a2;
  color: #ffffff;
  cursor: default;
}
.dateTimePickerPanel .time_content .days .days_list li.empty {
  background-color: transparent;
}
.dateTimePickerPanel .time_content .detail {
  height: auto;
  padding-top: 10px;
  padding-bottom: 8px;
}
.dateTimePickerPanel .time_content .detail .detail_time input[type="text"] {
  border: 0px;
  line-height: 18px;
  -webkit-border-radius: 2px;
     -moz-border-radius: 2px;
          border-radius: 2px;
  font-size: 13px;
  width: 20px;
  text-align: center;
  border: 1px solid #e3e5e7;
  outline: none;
  display: none;
}
.dateTimePickerPanel .time_content .detail .detail_time span {
  padding-left: 2px;
  padding-right: 2px;
  display: none;
}
.dateTimePickerPanel .time_content .detail .btn_container {
  text-align: center;
}
.dateTimePickerPanel .time_content .detail .btn_container .save-btn {
  display: block;
  width: 60px;
  text-align: center;
  color: #ffffff;
  border: 0;
  padding: 0;
  background-color: #2954a2;
  -webkit-border-radius: 3px;
     -moz-border-radius: 3px;
          border-radius: 3px;
  height: 23px;
  line-height: 23px;
  margin-left: auto;
  margin-right: auto;
  font-size: 13px;
}
.dateTimePickerPanel .time_content .detail .btn_container .save-btn:hover {
  cursor: pointer;
  background: #1f3f79;
}
.dateTimePickerPanel .time_content .detail .btn_container .save-btn:active {
  line-height: 25px;
}
.dateTimePickerPanel .time_content .detail .btn_container .clean-btn {
  display: block;
  width: 60px;
  text-align: center;
  color: #ffffff;
  border: 0;
  padding: 0;
  background-color: #999999;
  -webkit-border-radius: 3px;
     -moz-border-radius: 3px;
          border-radius: 3px;
  height: 23px;
  line-height: 23px;
  margin-left: auto;
  margin-right: 10px;
  font-size: 13px;
}
.dateTimePickerPanel .time_content .detail .btn_container .clean-btn:hover {
  cursor: pointer;
  background: #808080;
}
.dateTimePickerPanel .time_content .detail .btn_container .clean-btn:active {
  line-height: 25px;
}
